package com.haru.tetoru.sample.frame;

import com.haru.tetoru.template.GameThread;

class MyGameThread extends GameThread {
	MyGameThread(MyGameFrame display, MyPlayer player) {
		super(display, player);
	}

	@Override
	protected void initialize() {
		/* 親クラスの変数を必要な型にキャスト */
		MyPlayer p = (MyPlayer)this.player;
		MyGameFrame d = (MyGameFrame)display;

		/* 入力リスナーを登録 */
		p.registInputListener(d);

		/* JFrameにフォーカスを設定 */
		d.requestFocus();
	}
}
